%define	upstream_name POE-Sugar-Args
%define upstream_version 1.3

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5
License:	GPL or Artistic
Group:		Development/Perl
Summary:	%{upstream_name} module for perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.bz2
Url:		http://search.cpan.org/dist/%{upstream_name}
BuildArch:	noarch

BuildRequires:	perl-devel
BuildRequires:  perl(Module::Build)

%description
%{upstream_name} module for perl.  This module give an OO representation to
arguments POE passes to event states.  I will not lie to you.  This
adds heavy, bulky code underneath.  On the other hand, it makes
arguments for POE events much more palatable.  Of course, this is a
Sugar module, meaning, it will rot your program in odd (you'll be
hooked) and unexpected ways (performace), but you took the candy so
you can suffer the consequences.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%make_install

%files
%doc README
%{perl_vendorlib}/POE/*
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.300.0-5.mga8
+ Revision: 1496968
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.300.0-4.mga7
+ Revision: 1270869
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.300.0-3.mga6
+ Revision: 1032623
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.300.0-2.mga6
+ Revision: 945215
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3-11.mga5
+ Revision: 748574
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-10.mga5
+ Revision: 685836
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3-9.mga4
+ Revision: 513834
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.3-8.mga3
+ Revision: 371326
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.3-7.mga1
+ Revision: 31014
- mageia rebuild
- imported package perl-POE-Sugar-Args


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.3-7mdv2010.0
+ Revision: 430530
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3-6mdv2009.0
+ Revision: 258274
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3-5mdv2009.0
+ Revision: 246331
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.3-3mdv2008.1
+ Revision: 136345
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 1.3-3mdv2008.0
+ Revision: 25145
- rebuild


* Wed May 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.3-2mdk
- Fix According to perl Policy
	- BuildRequires
	- Source URL
	- URL
- use mkrel

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3-1mdk
- 1.3
- cosmetics
- no hardcoded path in %%files

* Mon Mar 01 2004 Michael Scherer <misc@mandrake.org> 1.2-2mdk
- use automatic Requires

